---
    - name: Install Peerplays DEX
      hosts: ubuntu
      become: true

      vars:
        instance_user: 'ubuntu'
        repo_url: 'https://gitlab.com/PBSA/peerplays-dex'
        repo_branch: 'develop'
        project_dir: '/opt/peerplays-dex'
        blockchain: 'BEATRICE'
        nodejs_repo: 'https://deb.nodesource.com/setup_14.x'
        
      tasks:
        - name: Install NodeJS
          become_user: "{{ instance_user }}"
          shell: |
            curl -sL "{{ nodejs_repo }}" | sudo -E bash -
            sudo apt-get install -y nodejs

        - name: Clone git repoistory
          git:
            repo: '{{ repo_url }}'
            dest: "{{ project_dir }}"
            version: "{{ repo_branch }}"
            accept_hostkey: yes

        - name: Change ownership to instance user
          file:
            path: "{{ project_dir }}"
            owner: "{{ instance_user }}"
            group: "{{ instance_user }}"
            state: directory
            recurse: yes
        
        - name: Configure and install DEX
          become_user: "{{ instance_user }}"
          shell: |
            cd "{{ project_dir }}"
            cp "{{ blockchain }}".env .env
            npm install
